%--------------------------------------------------------------------------
% Book:         SFS
% -------------------------------------------------------------------------
% Quantlet:     SFSrndbarrier
% -------------------------------------------------------------------------
% Description:  SFSrndbarrier plots the value of the barrier option
%               
%--------------------------------------------------------------------------
% Usage:        -
%--------------------------------------------------------------------------
% Inputs:       none
%--------------------------------------------------------------------------
% Output:       plot of the value of the barrier option
%               
%--------------------------------------------------------------------------
% Example:      Threshold price is 90
%--------------------------------------------------------------------------
% Author  :      
%--------------------------------------------------------------------------

clear
close all
clc

n = 200;
% generate two price series until one is below 90
ind=0;
while ind==0;
    a1 = random('norm',0,1,n,1);
    a2 = random('norm',0,1,n,1);
    a11 = cumsum(a1)+100;
    a22 = cumsum(a2)+100;
    if min(a22)<90 && min(a11)>90; ind=1; end
end


% find first value for which the price goes below 90
redindex = find(a22<90,1,'first');
index    = 1:200;
indexr   = 1:redindex;
indexrr  = redindex:200;

% plot the two price series and indicate where the barrier is hit
plot(index,a11,'LineWidth',2);
hold on;
plot(indexr,a22(1:redindex),'LineWidth',2);
hold on;
plot(indexrr,a22(redindex :n),'red','LineWidth',2);
plot(index,90*ones(n,1));

