% ---------------------------------------------------------------------
% Book:         SFS
% ---------------------------------------------------------------------
% Quantlet:     SFSsamplepath
% ---------------------------------------------------------------------
% Description:  SFSsamplepath produces a plot of the sample path 
%               for a random variable with a stochastic process 
%               X_t = (-1)^t * X, t = 1, 2, . . .
%               Refers to exercise 11.1 in SFS
% ---------------------------------------------------------------------
% Usage:        -
% ---------------------------------------------------------------------
% Inputs:       t - time horizon
%               x - starting value
% ---------------------------------------------------------------------
% Output:       Plot of sample path for the random variable X_t
% ---------------------------------------------------------------------
% Example:      An example is produced for X = 0.5836 and t = 11.
% ---------------------------------------------------------------------
% Author:       Andrija Mihoci, Lasse Groth 20090717
% ---------------------------------------------------------------------
% 

clear all;
close all;
clc;

t=11;
x=0.5836;
y =[];
for i=1:t
   z = (-1)^i*x;
   y = vertcat(y, z);
end

x=1:t;

scatter(x, y);
axis([0 t -1 1])