#--------------------------------------------------------------------------
# Book:         SFS
# -------------------------------------------------------------------------
# Quantlet:     SFSacfMA3
# -------------------------------------------------------------------------
# Description:  autocorrelations of simulated MA(3) process
#               
#--------------------------------------------------------------------------
# Usage:        -
#--------------------------------------------------------------------------
# Inputs:       None
#--------------------------------------------------------------------------
# Output:       Plots of the autocorrelations
# -------------------------------------------------------------------------
# Example:      The example is produced for the random sample of 1000 
#               simulations
#--------------------------------------------------------------------------
# Author  :     
#--------------------------------------------------------------------------

rm(list=ls())
set.seed(0)
x=rnorm(1002,0,1)
y=filter(filt=c(1,-1,1),x=x)

autocorr=acf(y[2:1001], lag.max = 20, col="red", main="Sample Autocorrelation Function (ACF)", ylab="Sample Autocorrelation")
print(cbind(autocorr$lag,autocorr$acf))
