# ---------------------------------------------------------------------
# Book:        SFS
# ---------------------------------------------------------------------
# Quantlet:    SFScola2
# ---------------------------------------------------------------------
# Description: SFScola2 reads daily stock prices for Coca-Cola company
#              from 1 January 2002 to 30 November 2004 and plots
#              the sample autocorrelation function
#              Corresponds to exercise 13.20(2.) in SFS
# ---------------------------------------------------------------------
# Usage:       -
# ---------------------------------------------------------------------
# Inputs:      none
# ---------------------------------------------------------------------
# Output:      Sample ACF plot         
# ---------------------------------------------------------------------
# Example:     -
# ---------------------------------------------------------------------
# Author:       
# ---------------------------------------------------------------------

rm(list=ls())

x = read.table('Coca_cola.txt');                             # Stock prices
x=ts(x) # transform into time series object

autocorr=acf(x, lag.max = 100, col="red", main="Sample Autocorrelation Function (ACF)", ylab="Sample Autocorrelation")

 