# ---------------------------------------------------------------------
# Book:        SFS
# ---------------------------------------------------------------------
# Quantlet:    SFScola3
# ---------------------------------------------------------------------
# Description: SFScola3 reads daily stock prices for Coca-Cola company
#              from 2 January 2002 to 30 November 2004 and plots
#              the time series of returns (r1) and log returns (r2)
#              Corresponds to exercise 13.20(4.) in SFS
# ---------------------------------------------------------------------
# Usage:       -
# ---------------------------------------------------------------------
# Inputs:      none
# ---------------------------------------------------------------------
# Output:      Time series plots        
# ---------------------------------------------------------------------
# Example:     -
# ---------------------------------------------------------------------
# Author:       
# ---------------------------------------------------------------------

rm(list=ls())


x = read.table('Coca_cola.txt')                             # Stock prices
x = ts(x)

# Returns
r1 = (x[2:length(x)]-x[1:length(x)-1])/x[1 : length(x)-1]                            # Returns
r2 = log(x[2:length(x)])-log(x[1:length(x)-1])              # Log returns
split.screen(c(2,1))                                     


screen(1)                                    
# Time series r1
plot(r1,type="l",col="blue",xlab="Time (days)",ylab="Returns")
# Time series r2
screen(2)
plot(r2,type="l",col="blue",xlab="Time (days)",ylab="Log Returns")
        
