# ------------------------------------------------------------------------------
# Book:        SFS
# ------------------------------------------------------------------------------
# Quantlet:    SFEpayoffcollar
# ------------------------------------------------------------------------------
# Description: Draws a payoff graphic of a collar option strategy at the 
#              expiration date.
#              Refers to exercise 6.9 in SFS.
# ------------------------------------------------------------------------------
# Usage:       -
# ------------------------------------------------------------------------------
# Inputs:      St - stock price
#              Kp - strike price for long put
#              Kc - strike price for short call
# ------------------------------------------------------------------------------
# Output:      Plot of collar option
# ------------------------------------------------------------------------------
# Example:     An example is produced for the values: St=15, Kp=12.5, Kc=17.5
# ------------------------------------------------------------------------------
# Author:      Lasse Groth 20090911
# ------------------------------------------------------------------------------

collar=function(St, Kp, Kc){

plot(0:2*St, 0:2*St, type="l",xlab="S_T",ylab="Payoff",col="blue",lty=2)
lines(c(0,Kp),c(Kp, Kp),col="red",lwd=2)
lines(c(Kc, Kp),c(Kc, Kp),col="red",lwd=2)
lines(c(Kc,2*St),c(Kc, Kc),col="red",lwd=2)
title("Payoff of a Collar")

}

collar(15,12.5,17.5)