# ------------------------------------------------------------------------------
# Book:         SFS
# ------------------------------------------------------------------------------
# Quantlet:     SFSsamplepath
# ------------------------------------------------------------------------------
# Description:  SFSsamplepath produces a plot of the sample path  for a
#               random variable with a stochastic process
#               X_t = (-1)^t * X, t = 1, 2, . . .
#               Refers to exercise 11.1
# ------------------------------------------------------------------------------
# Usage:        -
# ------------------------------------------------------------------------------
# Inputs:       t - time horizon
#               x - starting value
# ------------------------------------------------------------------------------
# Output:       Plot of sample path for the random variable X_t
# ------------------------------------------------------------------------------
# Example:      An example is produced for X = 0.5836 and t = 11.
# ------------------------------------------------------------------------------
# Author:       Lasse Groth 20090911
# ------------------------------------------------------------------------------
#
#clear variables and close windows
rm(list=ls(all=TRUE))
graphics.off()

t=11
x=0.5836
y=NULL

for(i in 1:t){
   z = (-1)^i*x
   y = rbind(y,z)
   i=i+1
}

x=1:t

plot(x, y[1:t,], xlim=c(0,t), ylim=c(-1,1),col="blue",cex=2,xlab=c(""),ylab=c(""))