# ------------------------------------------------------------------------------
# Book:         SFS
# ------------------------------------------------------------------------------
# Quantlet:     SFSwiener3
# ------------------------------------------------------------------------------
# Description:  Simulates a Wiener Process Yt=W(T+t)-WT, for T>0.
#               Refers to exercise 5.1 in SFS.
# ------------------------------------------------------------------------------
# Usage:        -
# ------------------------------------------------------------------------------
# Inputs:       T - initial number of periods 
#               t - number of periods after T
# ------------------------------------------------------------------------------
# Output:       Plot of a Wiener Process Yt=W(T+t)-WT, for T>0
# ------------------------------------------------------------------------------
# Example:      for T=100, t=50  a Wiener Process Yt=W(150)-W(100) is  shown
# ------------------------------------------------------------------------------
# Author:       Lasse Groth 20090908
# ------------------------------------------------------------------------------

rm(list=ls(all=TRUE))	# Clear variables

#setwd("C:/...")	# Please change working directory

wiener3=function(T,t){

l=T+t 
g=0:l  

set.seed(0)             
z=runif(l, min=0, max=1)
z=2*(z>0.5)-1 
x=c(0,cumsum(z))

listik=cbind(g,x)

# output
plot(listik[(T+1):(T+t+1),1],listik[(T+1):(T+t+1),2],type="l",col="blue",xlab="Time",ylab="Values of process Y_t") 
title('Wiener process')

}

wiener3(100,50)
